Altibase.jdbc.driver

## Class AltibaseBlob

- java.lang.Object
- - Altibase.jdbc.driver.AltibaseLob
  - - Altibase.jdbc.driver.AltibaseBlob

All Implemented Interfaces:
  java.sql.Blob

    public class AltibaseBlob
    extends AltibaseLob
    implements java.sql.Blob

### Field Summary

### Fields inherited from class Altibase.jdbc.driver.AltibaseLob

`mChannel, mContext, mIsClosed, mLobLength, mLobUpdated, mLocatorId`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.io.InputStream` `getBinaryStream()`
`java.io.InputStream` `getBinaryStream(long aPos, long aLobLength)`
`byte[]` `getBytes(long aOffset, int aLength)`
`long` `length()`
`long` `position(java.sql.Blob aPattern, long aStartPos)`
`long` `position(byte[] aPattern, long aStartPos)`
`java.io.OutputStream` `setBinaryStream(long aStartPos)`
`int` `setBytes(long aStartPos, byte[] aData)`
`int` `setBytes(long aStartPos, byte[] aData, int aOffset, int aLength)`

### Methods inherited from class Altibase.jdbc.driver.AltibaseLob

`free, isSameConnectionWith, open, truncate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.sql.Blob

`free, truncate`

### Method Detail

#### getBinaryStream

    public java.io.InputStream getBinaryStream()
                                        throws java.sql.SQLException

Specified by:
  `getBinaryStream` in interface `java.sql.Blob`
Throws:
  `java.sql.SQLException`

#### getBytes

    public byte[] getBytes(long aOffset,
                           int aLength)
                    throws java.sql.SQLException

Specified by:
  `getBytes` in interface `java.sql.Blob`
Throws:
  `java.sql.SQLException`

#### length

    public long length()
                throws java.sql.SQLException

Specified by:
  `length` in interface `java.sql.Blob`
Throws:
  `java.sql.SQLException`

#### position

    public long position(java.sql.Blob aPattern,
                         long aStartPos)
                  throws java.sql.SQLException

Specified by:
  `position` in interface `java.sql.Blob`
Throws:
  `java.sql.SQLException`

#### position

    public long position(byte[] aPattern,
                         long aStartPos)
                  throws java.sql.SQLException

Specified by:
  `position` in interface `java.sql.Blob`
Throws:
  `java.sql.SQLException`

#### setBinaryStream

    public java.io.OutputStream setBinaryStream(long aStartPos)
                                         throws java.sql.SQLException

Specified by:
  `setBinaryStream` in interface `java.sql.Blob`
Throws:
  `java.sql.SQLException`

#### setBytes

    public int setBytes(long aStartPos,
                        byte[] aData,
                        int aOffset,
                        int aLength)
                 throws java.sql.SQLException

Specified by:
  `setBytes` in interface `java.sql.Blob`
Throws:
  `java.sql.SQLException`

#### setBytes

    public int setBytes(long aStartPos,
                        byte[] aData)
                 throws java.sql.SQLException

Specified by:
  `setBytes` in interface `java.sql.Blob`
Throws:
  `java.sql.SQLException`

#### getBinaryStream

    public java.io.InputStream getBinaryStream(long aPos,
                                               long aLobLength)
                                        throws java.sql.SQLException

Specified by:
  `getBinaryStream` in interface `java.sql.Blob`
Throws:
  `java.sql.SQLException`